#!/bin/bash

##############################################################################
#                                                                            #
#    TkAntivir Installation program 1.51.01 for TkAntivir Version 1.51.01    #
#    Copyright (C) 1999-2006 Sebastian Geiges                                #
#                                                                            #
#    This program is free software; you can redistribute it and/or modify    #
#    it under the terms of the GNU General Public License as published by    #
#    the Free Software Foundation; either version 2 of the License, or       #
#    (at your option) any later version.                                     #
#                                                                            #
#    This program is distributed in the hope that it will be useful,         #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of          #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           #
#    GNU General Public License for more details.                            #
#                                                                            #
#    You should have received a copy of the GNU General Public License       #
#    along with this program; see the file COPYING.  If not, write to        #
#    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,        #
#    Boston, MA 03011-1307, USA.                                             #
#                                                                            #
##############################################################################

until [ $auswahl = QUIT ]
do
  dialog  --backtitle "TkAntivir 1.51.01 Installation program  \
        (C) 1999-2006 by Sebastian Geiges" \
          --clear --menu 'Please choose the option:' 12 44 5 \
        'INSTALL' 'Install TkAntivir 1.51.01 ' 'README' 'Show readme file' \
	'MD5SUM' 'Show MD5 checksums' 'LICENSE' 'Show license terms' 'QUIT' 'Quit installation program' 2> $$.tmp
  auswahl=$(cat $$.tmp)
  setterm -clear
  case $auswahl in
    "INSTALL") 
         qverz="$(pwd)"
	 dialog  --backtitle "TkAntivir 1.51.01 Installation program  \
        (C) 1999-2006 by Sebastian Geiges" \
         --clear --title 'Source path' \
         --inputbox 'Please enter source path:' \
         10 35 "$qverz" 2> $$.tmp
         reta=$?
	 qverz=$(cat $$.tmp)
         if [ $reta = 0 ]
         then
         if ! test -e $qverz
         then
           dialog --clear --title 'ERROR' \
           --msgbox 'Path does not exist, please correct.' 8 27
         else
	       zverz="/usr/X11R6/lib/TkAntivir"
	       dialog  --backtitle "TkAntivir 1.51.01 Installation program  \
        (C) 1999-2006 by Sebastian Geiges" \
		--clear --title 'Destination' \
		--inputbox 'Please enter destination:\ne.g. /usr/X11R6/lib/TkAntivir' \
		10 35 "$zverz" 2> $$.tmp
                retb=$?
		zverz=$(cat $$.tmp)
                if [ $retb = 0 ]
                then
		  if ! test -e $zverz
		  then
		   mkdir $zverz
		   cp $qverz/COPYING $zverz/COPYING
		   cp $qverz/README $zverz/README
		   cp $qverz/MD5SUM.ASC $zverz/MD5SUM.ASC
	 	   cp $qverz/tkantivir $zverz/tkantivir
		   cp $qverz/tkantivir.tcl $zverz/tkantivir.tcl
		   cp $qverz/scheduler.tcl $zverz/scheduler.tcl
		   cp $qverz/tkantivir.gif $zverz/tkantivir.gif
		   cp $qverz/clock.gif $zverz/clock.gif
		   cp $qverz/clock.xbm $zverz/clock.xbm
		   cp $qverz/find.gif $zverz/find.gif
		   cp $qverz/find.xbm $zverz/find.xbm
		   cp $qverz/i.gif $zverz/i.gif
		   cp $qverz/i.xbm $zverz/i.xbm
		   cp $qverz/text.gif $zverz/text.gif
		   cp $qverz/text.xbm $zverz/text.xbm
		   cp $qverz/pref.gif $zverz/pref.gif
		   cp $qverz/pref.xbm $zverz/pref.xbm
		   cp $qverz/folder.gif $zverz/folder.gif
		   cp $qverz/BWidget-1.4.0.tar.gz $zverz/BWidget-1.4.0.tar.gz
		   chmod 755 $zverz/tkantivir
		   ln -s $zverz/tkantivir /usr/X11R6/bin/tkantivir
		   ln -s $zverz/tkantivir.tcl /usr/X11R6/bin/tkantivir.tcl
		   cd $zverz
		   tar xfvz $zverz/BWidget-1.4.0.tar.gz
		   dialog  --backtitle "TkAntivir 1.51.01 Installation program  \
        (C) 1999-2006 by Sebastian Geiges" \
	           --clear --title 'Installation' --msgbox "The installation has been finshed. You can\nstart \
TkAntivir now under X11 with the\ncommand 'tkantivir'." 8 45
		  else
		   dialog  --backtitle "TkAntivir 1.51.01 Installation program  \
        (C) 1999-2006 by Sebastian Geiges" \

		   --clear --title 'Installation' --msgbox "TkAntivir is already installed. Please copy\nthe \
new files manually." 6 47
		  fi
                fi
         fi
	 fi;;
    "README") dialog  --backtitle "TkAntivir 1.51.01 Installation program  \
        (C) 1999-2006 by Sebastian Geiges" \
      	     --clear --textbox README 23 78;;
    "MD5SUM") dialog  --backtitle "TkAntivir 1.51.01 Installation program  \
        (C) 1999-2006 by Sebastian Geiges" \
	     --clear --textbox MD5SUM.ASC 23 80;;
    "LICENSE") dialog  --backtitle "TkAntivir 1.51.01 Installation program  \
        (C) 1999-2006 by Sebastian Geiges" \
               --clear --textbox COPYING 23 78;;
    "QUIT");;
  esac
rm $$.tmp
done
